Шаблон:Infobox/styles.css: различия между версиями

Шаблон используемый на Wikimeat
мНет описания правки
мНет описания правки
Строка 151: Строка 151:
}
}


/* Old infobox */
.infobox tr:first-of-type .mw-collapsible-toggle a.mw-collapsible-text {
 
position: absolute;
.infobox-table {
right: 0;
width: 360px;
border-radius: 0 12px;
border-radius: 10px;
padding: 5px 15px;
border-spacing: 0;
background: var(--color-destructive);
padding-bottom: 40px;
color: white;
font-size: 13px;
display: block;
text-align: left;
box-shadow: 0 3px 6px rgba(0, 0, 0, 0.04), 0 3px 6px rgba(0, 0, 0, 0.0575);
overflow: hidden;
}
 
tr.infobox-title {
margin-top: 20px;
margin-bottom: 5px;
}
 
.infobox-title th {
font-size: 1.4rem;
line-height: 1.4;
}
 
tr.infobox-button-bar {
margin-top: 25px !important;
}
 
.infobox-header th {
font-size: 1rem;
}
 
.infobox-data th {
font-weight: normal;
font-size: 0.8125rem;
letter-spacing: .75px;
}
 
.infobox-data td {
text-align: left!important;
font-weight: bold;
}
 
.infobox-data ul,
.infobox-data ol {
margin-top: 0;
}
}


.infobox-table tr:not(#infobox-table-img-bg) {
.infobox tr:first-of-type .mw-collapsible-toggle .mw-collapsible-text:hover {
margin-top: 10px;
background: var(--color-destructive--hover);
display: flex;
}
}


.infobox-table th,
.infobox tr:first-of-type .mw-collapsible-toggle .mw-collapsible-text:active {
.infobox-table tr>td:first-child {
background: var(--color-destructive--active);
font-weight: 700;
}
}


.infobox-table tr>td:first-child {
.infobox tr:first-of-type .mw-collapsible-toggle-collapsed .mw-collapsible-text {
margin: 0 20px;
background: var(--color-primary);
color: #72777d;
font-weight: normal;
font-size: 0.8125rem;
}
}


.infobox-table th {
.infobox tr:first-of-type .mw-collapsible-toggle-collapsed .mw-collapsible-text:hover {
font-size: 1rem;
background: var(--color-primary--hover);
text-align: left !important;
padding-top: 15px !important;
border-top: 1px solid #eaecf0;
}
}


th.infobox-table-name {
.infobox tr:first-of-type .mw-collapsible-toggle-collapsed .mw-collapsible-text:active {
border: 0 !important;
background: var(--color-primary--active);
font-size: 1.4rem !important;
line-height: 1.4;
margin: 10px 20px 5px;
padding-top: 0 !important;
}
}


.infobox-table .infobox-table-img {
.infobox tr:first-of-type .mw-collapsible-toggle:before,
padding: 0;
.infobox tr:first-of-type .mw-collapsible-toggle:after {
content: none;
}
}


.infobox-table-img img {
@media only screen and (max-width: 720px) {
height: auto;
    .infobox {
}
        margin-left: auto;
 
        margin-right: auto;
.infobox-table ul,
    }
.infobox-table ol {
margin-top: 0;
}
 
.infobox-button {
display: block;
width: 100%;
}


.infobox-button>div {
    .infobox tr:first-of-type .mw-collapsible-toggle {
display: flex;
        display: block;
flex-wrap: wrap;
    }
justify-content: space-between;
}
}

Версия от 19:53, 15 июля 2021

.infobox {
    width: 100%;
    max-width: 400px;
    margin-top: 0;
    border-spacing: 0;
    border-radius: 12px;
    background: var(--background-color-framed);
    font-size: 0.875rem;
    text-align: left;
    /* boxshadow-2 */
    box-shadow: 0 3px 6px rgba(0, 0, 0, 0.04), 0 3px 6px rgba(0, 0, 0, 0.0575);
    /* In case if tooltips go out of boundary */
    overflow: visible;
}

/* Table elements */
.infobox tbody {
	display: flex;
	flex-wrap: wrap;
	justify-content: space-between;
}

.infobox tr {
	margin-top: 10px;
	padding: 0 10px;
	display: flex;
	flex-direction: column;
	box-sizing: border-box;
}

.infobox th,
.infobox td {
	padding: 0 10px;
}

/* Infobox column */
.infobox .infobox-nocol {
	width: 100%;
	flex-direction: row;
}

.infobox .infobox-nocol th {
	width: 30%;
}

.infobox .infobox-nocol td {
	width: 70%;
}

.infobox .infobox-col1 {
	width: 100%;
}

.infobox .infobox-col2 {
	width: 50%;
}

.infobox .infobox-col3 {
	width: calc(100% / 3);
}

.infobox .infobox-col4 {
	width: 25%;
}

.infobox-data {
	min-width: 25%;
}

/* Infobox image */
.infobox .infobox-image {
	margin-top: 0;
	padding: 0;
	border-radius: 12px 12px 0 0;
	overflow: hidden;
}

.infobox-image td {
	padding: 0;
}

.infobox-image--light .image {
	background: #eaecf0;
}

.infobox-image--dark .image {
	background: #2b2f36;
}

.infobox-image .image img {
	max-width: 100%;
	display: block;
	background: var(--background-color-quiet--hover);
}

/* Infobox title */
.infobox .infobox-title {
	margin-top: 20px;
	margin-bottom: 5px;
	width: 100%;
	color: var(--color-base--emphasized);
	font-size: 1.4rem;
	line-height: 1.4;
}

/* Infobox header */
.infobox .infobox-header {
	margin-top: 15px;
	padding-top: 15px;
	width: 100%;
	color: var(--color-base--emphasized);
	border-top: 1px solid;
	border-color: var(--border-color-base);
	font-size: 1rem;
}

/* Infobox value */
.infobox-data th {
	color: var(--color-base--subtle);
	font-weight: normal;
	font-size: 0.8125rem;
	letter-spacing: .75px;
}

.infobox-data td {
	font-weight: bold;
}

.infobox-data ul,
.infobox-data ol {
	margin-top: 0;
}

/* Infobox button */
.infobox .infobox-button-bar {
	margin-top: 25px;
	padding: 0;
	width: 100%;
	text-align: center;
}

.infobox-button-bar th {
	padding: 0;
}

/* Collapsible toggle */
.infobox tr:first-of-type .mw-collapsible-toggle {
	position: relative;
	display: none;
	float: none;
}

.infobox tr:first-of-type .mw-collapsible-toggle a.mw-collapsible-text {
	position: absolute;
	right: 0;
	border-radius: 0 12px;
	padding: 5px 15px;
	background: var(--color-destructive);
	color: white;
	display: block;
}

.infobox tr:first-of-type .mw-collapsible-toggle .mw-collapsible-text:hover {
	background: var(--color-destructive--hover);
}

.infobox tr:first-of-type .mw-collapsible-toggle .mw-collapsible-text:active {
	background: var(--color-destructive--active);
}

.infobox tr:first-of-type .mw-collapsible-toggle-collapsed .mw-collapsible-text {
	background: var(--color-primary);
}

.infobox tr:first-of-type .mw-collapsible-toggle-collapsed .mw-collapsible-text:hover {
	background: var(--color-primary--hover);
}

.infobox tr:first-of-type .mw-collapsible-toggle-collapsed .mw-collapsible-text:active {
	background: var(--color-primary--active);
}

.infobox tr:first-of-type .mw-collapsible-toggle:before,
.infobox tr:first-of-type .mw-collapsible-toggle:after {
	content: none;
}

@media only screen and (max-width: 720px) {
    .infobox {
        margin-left: auto;
        margin-right: auto;
    }

    .infobox tr:first-of-type .mw-collapsible-toggle {
        display: block;
    }
}
🍪 Наш веб-сайт использует файлы cookie для того, чтобы сделать ваш опыт использования сайта лучше и анализа использования сайта